resolution {ggplot2} | R Documentation

## Compute the "resolution" of a data vector.

### Description

The resolution is is the smallest non-zero distance between adjacent values. If there is only one unique value, then the resolution is defined to be one.

### Usage

    resolution(x, zero = TRUE)

### Arguments

`x` | numeric vector
`zero` | should a zero value be automatically included in the computation of resolution

### Details

If x is an integer vector, then it is assumed to represent a discrete variable, and the resolution is 1.

### Examples

    resolution(1:10)
    resolution((1:10) - 0.5)
    resolution((1:10) - 0.5, FALSE)
    resolution(c(1,2, 10, 20, 50))
    resolution(as.integer(c(1, 10, 20, 50)))  # Returns 1

[Package ggplot2 version 2.1.0 Index]